> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get an SDK's download URL

GET https://api.getpostman.com/sdks/{sdkId}/downloads

Gets a short-lived signed URL for the generated SDK archive (zip). The generated URL is created on demand and expires within a few minutes.

**Note:**

The API doesn't stream the archive directly to keep responses small and predictable. Use the returned URL to download the SDK zip file.


Reference: https://learning.postman.com/api-docs/api-reference/sd-ks/get-sdk-download-url

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /sdks/{sdkId}/downloads:
    get:
      operationId: getSdkDownloadUrl
      summary: Get an SDK's download URL
      description: >
        Gets a short-lived signed URL for the generated SDK archive (zip). The
        generated URL is created on demand and expires within a few minutes.


        **Note:**


        The API doesn't stream the archive directly to keep responses small and
        predictable. Use the returned URL to download the SDK zip file.
      tags:
        - sdKs
      parameters:
        - name: sdkId
          in: path
          description: The SDK's ID.
          required: true
          schema:
            $ref: '#/components/schemas/sdkId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sdkDownload'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSdkDownloadUrlRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSdkDownloadUrlRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetSdkDownloadUrlRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    sdkId:
      type: string
      description: The SDK's ID.
      title: sdkId
    sdkLanguage:
      type: string
      enum:
        - typescript
        - python
        - go
        - java
        - csharp
        - ruby
        - php
        - kotlin
        - rust
        - cli
      description: The target output language for the generated SDK.
      title: sdkLanguage
    sdkDownload:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/sdkId'
        language:
          $ref: '#/components/schemas/sdkLanguage'
        url:
          type: string
          format: uri
          description: A short-lived signed URL to the generated SDK archive (zip).
        expiresAt:
          type: string
          format: date-time
          description: The date and time at which the signed URL expires.
      required:
        - id
        - language
        - url
        - expiresAt
      title: sdkDownload
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetSdkDownloadUrlRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdkDownloadUrlRequestUnauthorizedError
    GetSdkDownloadUrlRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdkDownloadUrlRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetSdkDownloadUrlRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetSdkDownloadUrlRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "id": "5b1c8e4a-9d10-4f7a-91d0-2c2f3a4b5c6d",
  "language": "typescript",
  "url": "https://sdk-gen-artifacts.s3.amazonaws.com/...signed...",
  "expiresAt": "2026-06-03T17:35:00Z"
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks/9c4e7d1a-2b3c-4f5e-8a9b-1c2d3e4f5a6b/downloads")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```